Skip to main content

ParticipateAssetIssue

POST

Participate in an asset issue.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Request Body
to_addressstringrequired
Issuer's address. (Format: Base58 or Hex). Example: TPswDDCAWhJAZGdHPidFg5nEf8TkNToDX1
owner_addressstringrequired
Transaction initiator address. (Format: Base58 or Hex)
amountintegerrequired
Amount of TRX to participate in token issuance. (Unit: sun)
asset_namestringrequired
Token id, default hexString. Example: 1000001031303030303031
visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)
Permission_idinteger
Optional. Permission ID used for multi-signature account operations. Defaults to the owner permission (0) if unspecified.
Responses
owner_addressstring
Transaction initiator address. (Format: Base58 or Hex)
to_addressstring
Token issuer's address.
asset_namestring
TRC-10 Token ID.
amountinteger
Amount of TRX used to purchase the token. (Unit: sun)
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "400"
}
cURL
curl -X POST 'https://tron-mainnet.nodit.io/wallet/participateassetissue' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"to_address": "TPswDDCAWhJAZGdHPidFg5nEf8TkNToDX1",
"asset_name": "1000001031303030303031"
}'